GET/resourceTypes/{resourceTypeId}
Returns one resource type in the same shape as an item of Resources_Get. The id comes from Resources_Get.
Path Parameters
| Field | Type | Required | Description |
|---|
| resourceTypeId | uuid | Required | |
Response
| Field | Type | Description |
|---|
| id | uuid | |
| type | string| null | |
| name | string| null | |
| icon | string| null | |
| color | string| null | |
| label | string| null | |
| trackingType | string| null | |
| defaultOwner | uuid| null | |
| category | GetResourceTypesResponseCat | |
| isDockable | boolean | |
| isScheduled | boolean | |
| hasProvider | boolean | |
| hasPayor | boolean | |
| lineItemLabel | string| null | |
| lineItemBody | uuid[]| null | |
| sections | GetResourceTypesResponseSection[]| null | |
| defaultRateCardId | uuid| null | |
| rateCards | GetOwnedRateCardResponse[]| null | |
| components | ResourceComponentResponse[]| null | |
| defaultRuleSetIds | uuid[]| null | |
| orgCorrelationId | uuid| null | |
GetResourceTypesResponseCat
| Field | Type | Description |
|---|
| id | uuid | |
| name | string| null | |
| icon | string| null | |
| color | string| null | |
GetResourceTypesResponseSection
| Field | Type | Description |
|---|
| id | uuid | |
| name | string| null | |
| index | integer | |
| attributes | GetResourceTypesResponsePlacement[]| null | |
GetOwnedRateCardResponse
| Field | Type | Description |
|---|
| id | uuid | |
| name | string| null | |
| usage | GetOwnedRateCardResponseUsageInfo | |
ResourceComponentResponse
| Field | Type | Description |
|---|
| id | uuid | |
| label | string| null | |
| targetResourceTypeId | uuid | |
| targetResourceTypeName | string| null | |
| targetResourceVariantId | uuid| null | |
| targetResourceVariantName | string| null | |
| quantity | integer | |
| index | integer | |
GetResourceTypesResponsePlacement
| Field | Type | Description |
|---|
| resourceAttributeId | uuid | |
| attribute | GetResourceTypesResponsePlacedAttribute | |
| isRequired | boolean | |
| pricingRole | string| null | |
| useCases | string[]| null | |
| index | integer | |
| modifiers | GetResourceTypesResponsePropertyModifier[]| null | |
GetOwnedRateCardResponseUsageInfo
| Field | Type | Description |
|---|
| variants | integer | |
| resources | integer | |
| needs | integer | |
| reservations | integer | |
| fulfillmentItems | integer | |
GetResourceTypesResponsePlacedAttribute
| Field | Type | Description |
|---|
| name | string| null | |
| responseType | string| null | |
| isArchived | boolean | |
| options | GetResourceTypesResponseResponseOption[]| null | |
GetResourceTypesResponsePropertyModifier
| Field | Type | Description |
|---|
| id | uuid | |
| value | string| null | |
| costType | string| null | |
| costAmount | number | |
| chargeType | string| null | |
| chargeAmount | number | |
| application | string| null | |